Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 231295 - Can't start NB after module install or updates
Can't start NB after module install or updates
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Autoupdate
7.4
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: Jiri Rechtacek
au-issues
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 21:07 UTC by ent38
Modified: 2013-06-28 18:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
the error dialog loop (15.31 KB, image/png)
2013-06-14 21:08 UTC, ent38
Details
NB logs just before I killed the netbeans64.exe process (56.44 KB, text/plain)
2013-06-14 21:09 UTC, ent38
Details
NB logs when I have killed the netbeans64.ee process and restarted NB (and not yet killed it again) (56.44 KB, application/octet-stream)
2013-06-14 21:12 UTC, ent38
Details
NB logs after 2 process kills: this time NB starts correctly (53.57 KB, application/octet-stream)
2013-06-14 21:13 UTC, ent38
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ent38 2013-06-14 21:07:08 UTC
[ BUILD # : 201306132201 ]
[ JDK VERSION : 1.7.0_21 ]

Can't start NetBeans after having installed a new module or installed 
updates (I tested with JUnit module and NB API documentation modules).
When the module is downloaded and NetBeans restarting, I get an error 
dialog: "Cannot find Java 1.7 or higher.". 
I can click on the "OK" button but the error dialog always reappears.
I have kill the netbeans64.exe process and try to start NetBeans again.
After 2 tentatives (i.e. 3 restarts and 2 process kills), NetBeans finally 
installs modules and starts normally.

On Windows 7 64-bit, JDK7u21 64-bit, ZIP distribution of NetBeans. I've tried 
the Java SE, Java EE and Full ZIP packages.
Comment 1 ent38 2013-06-14 21:08:40 UTC
Created attachment 135822 [details]
the error dialog loop
Comment 2 ent38 2013-06-14 21:09:30 UTC
Created attachment 135823 [details]
NB logs just before I killed the netbeans64.exe process
Comment 3 ent38 2013-06-14 21:12:21 UTC
Created attachment 135824 [details]
NB logs when I have killed the netbeans64.ee process and restarted NB (and not yet killed it again)
Comment 4 ent38 2013-06-14 21:13:07 UTC
Created attachment 135825 [details]
NB logs after 2 process kills: this time NB starts correctly
Comment 5 ent38 2013-06-15 22:27:37 UTC
Precision: it happens with ZIP bundles only. The Windows Installer version works well.
Comment 6 Jiri Rechtacek 2013-06-28 12:23:22 UTC
I guess it was fixed together with issue 229060. Please, could you reproduce it again in next build of 7.4 beta (or latest Development build)? Thanks
Comment 7 ent38 2013-06-28 18:59:00 UTC
Tested with latest devbuild (201306272300): it works fine.
Thx!


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo